Subject: Re: [PATCH 4/6] Device tree aware EMAC driver

From: David Gibson <[email-masked]>
Date: Mon, 7 May 2007 14:10:34 +1000

On Sun, May 06, 2007 at 10:56:39PM -0500, Olof Johansson wrote:
> Hi,
> 
> On Mon, May 07, 2007 at 11:40:51AM +1000, David Gibson wrote:
> > On Sun, May 06, 2007 at 07:57:23PM -0500, Olof Johansson wrote:
> > > On Mon, May 07, 2007 at 10:30:19AM +1000, David Gibson wrote:
> > > > This is BenH's rewritten, device tree aware driver for the IBM/AMCC
> > > > EMAC, ethernet MAC controller ASIC found on various 4xx CPUs and also
> > > > the Axon bridge.  Tweaked to build on current kernels.
> > > 
> > > Shouldn't benh have a signoff line on it as well in that case?
> > 
> > Well, his patch which I tweaked didn't have his signoff, so I didn't
> > think I ought to add it.
> 
> Heh, ok.
> 
> > > Is it ibm_emac or ibm_newemac? All file headers say ibm_emac, and there's
> > > still Kconfig references to ibm_emac.
> > 
> > It's ibm_newemac, the file headers just haven't been updated.  The
> > Kconfig changes referring to ibm_emac are just because the patch moves
> > the suboptions for the old emac driver into their own subdirectory,
> > and it inhibits selecting the old emac driver in arch/powerpc.
> 
> Hm, so it both modifies the old driver and adds the new one? 

Well, barely.  It moves the Kconfig around a little for the old
driver, but doesn't change the actual code at all.

> Is the plan
> to have both of them in parallel? Sounds wasteful, but I guess it'll be
> hard to avoid until 4xx is dead in arch/ppc.

Exactly.

> > > (Is this just posted FYI? If not, it should really go to netdev/jgarzik
> > > instead, right?)
> > 
> > This is just FYI at the moment, or rather, it's not really an Ebony
> > related patch but it's in this series because the Ebony support is
> > much more interesting if the ethernet works.
> 
> Ok. It really sucks trying to review patches of this size, but I'll try
> to make a few passes over it.
> 
> It'd be useful to just see the incremental steps of how it was morphed
> from the current driver, but that's a pain to recreate once you have
> this kind of blob. Especially if you inherited the bulk of it. :-)

Heh.  Talk to Ben, but I think he'll be too busy to reply, let alone
reconstruct the patch sequence.  My contribution is a one-liner to fix
a recent build failure.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson